summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGöktürk Yüksek <gokturk@gentoo.org>2020-05-05 21:25:09 -0400
committerGöktürk Yüksek <gokturk@gentoo.org>2020-05-05 21:26:54 -0400
commit3042eb961ee68ff8228b1a1a6a5ad842b4e8f1c2 (patch)
tree9519fbe884c99b864d7375dbc694c3d7460ca7c8 /net-fs/davfs2
parentnet-fs/davfs2: add support for neon-0.31 #719954 (diff)
downloadgentoo-3042eb961ee68ff8228b1a1a6a5ad842b4e8f1c2.tar.gz
gentoo-3042eb961ee68ff8228b1a1a6a5ad842b4e8f1c2.tar.bz2
gentoo-3042eb961ee68ff8228b1a1a6a5ad842b4e8f1c2.zip
net-fs/davfs2: prevent the compression of man for all supported langs
Package-Manager: Portage-2.3.69, Repoman-2.3.14 Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>
Diffstat (limited to 'net-fs/davfs2')
-rw-r--r--net-fs/davfs2/davfs2-1.5.6-r1.ebuild (renamed from net-fs/davfs2/davfs2-1.5.6.ebuild)7
1 files changed, 5 insertions, 2 deletions
diff --git a/net-fs/davfs2/davfs2-1.5.6.ebuild b/net-fs/davfs2/davfs2-1.5.6-r1.ebuild
index 6f227c81212..1786c1a079a 100644
--- a/net-fs/davfs2/davfs2-1.5.6.ebuild
+++ b/net-fs/davfs2/davfs2-1.5.6-r1.ebuild
@@ -27,9 +27,12 @@ RDEPEND="${RDEPEND}
"
src_prepare() {
+ local f
+
# Let the package manager handle man page compression
- sed -e '/^manual[58]_DATA/ s/\.gz//g' \
- -i "${S}"/man/Makefile.in || die
+ while IFS="" read -d $'\0' -r f ; do
+ sed -e '/^manual[58]_DATA/ s/[.]gz//g' -i "${f}" || die
+ done < <(find "${S}"/man -type f -name 'Makefile.in' -print0)
eapply "${FILESDIR}"/${PN}-1.5.5-gcc-10.patch \
"${FILESDIR}"/${P}-neon31-support.patch